Deployments - List
지정된 DeviceGroup에 대한 배포를 가져옵니다.
GET https://prod.core.sphere.azure.net/v2/tenants/{tenantId}/devicegroups/{deviceGroupId}/deployments
GET https://prod.core.sphere.azure.net/v2/tenants/{tenantId}/devicegroups/{deviceGroupId}/deployments?maxPageSize={maxPageSize}
URI 매개 변수
| Name | In(다음 안에) | 필수 | 형식 | Description |
|---|---|---|---|---|
|
device
|
path | True |
string uuid |
DeviceGroup ID입니다. |
|
tenant
|
path | True |
string uuid |
Azure Sphere 테넌트 ID입니다. |
|
max
|
query |
integer int32 |
응답에 포함해야 하는 최대 결과 수입니다. |
요청 헤더
| Name | 필수 | 형식 | Description |
|---|---|---|---|
| Sphere-Continuation |
string |
결과의 이전 페이지에서 계속하는 데 사용되는 연속 토큰입니다. |
응답
| Name | 형식 | Description |
|---|---|---|
| 200 OK |
성공. |
정의
| Name | Description |
|---|---|
| Deployment | |
|
Deployment |
Deployment
| Name | 형식 | Description |
|---|---|---|
| DeployedImages |
string[] |
현재 이 배포에 있는 이미지의 ID입니다. |
| DeploymentDateUtc |
string |
배포가 만들어진 DateTime입니다. |
| Id |
string |
배포의 고유 ID입니다. |
| TenantId |
string |
배포를 소유하는 테넌트 고유 ID입니다. |
DeploymentItemCollectionResponse
| Name | 형식 | Description |
|---|---|---|
| ContinuationToken |
string |
다음 항목 집합을 가져오는 데 사용할 수 있는 연속 토큰입니다. |
| Items |
항목 목록입니다. |